@echo off
SETLOCAL

REM AMSO_zapper
REM Data 16 dicembre 2011
REM Autore/Author: Ripley (with a little help from the web)
REM www.tuttovola.org - http://orbiteritalia.forumotion.com/

REM                        ISTRUZIONI

REM Questo e' un file batch (cmd) da usare solo quando si aggiorna la versione di AMSO
REM per assicurarsi di aver rimosso la versione precedente e non avere conflitti.
REM Serve a RIMUOVERE istantaneamente AMSO dalla cartella di Orbiter
REM piuttosto che cancellare a mano le singole cartelle e file.
REM Vedere a pagina 8 del manuale di AMSO cosa viene cancellato.
REM Deve essere lanciato dalla cartella principale di Orbiter, altrimenti non funziona.
REM Il test sulla posizione viene effettuato controllando la presenza del file "orbiter.exe"
REM nella cartella da cui parte AMSO_zapper.
REM Quindi si cerca di rilevare AMSO. Se il file "Meshes\AMSO\angel.msh" (L'angelo del Paradiso)
REM non viene trovato si assume che AMSO sia stato gia' rimosso (o mai installato).


REM                        INSTRUCTIONS

REM This is a batch (cmd) file to be used only when upgrading AMSO version
REM to ensure that previous version remnants are removed in order to not have conflicts.
REM Its purpose is to REMOVE instantly AMSO from Orbiter folder
REM instead of manually removing its files and folders one by one.
REM See AMSO manual, page 8, for reference about what gets removed.
REM It must be launched from inside Orbiter main folder, otherwise it won't work.
REM Test of folder position is performed on the presence of "orbiter.exe" file in
REM the same folder where AMSO_zapper starts from.
REM Then it checks for AMSO presence. If file "Meshes\AMSO\angel.msh" (the Angel of Paradise)
REM isn't found, it is assumed that AMSO has been already removed (or never installed)

REM FINE ISTRUZIONI
REM END INSTRUCTIONS

REM #include <stdio.h>
REM main()
REM {        ;-)

REM ITA
REM Scherzavo! La linea "reg query" decide il linguaggio da usare nei box di testo (0410 = italiano).
REM Solo per utenti italiani: per testare la "versione inglese" su sistemi italiani
REM (a fini di debug), commentare la linea "If not ErrorLevel 1...", e togliere il commento
REM alla linea "REM If ErrorLevel 1..." 

REM ENG
REM Just kidding! Line "reg query" decides which language to use in textboxes (0410 = italian).
REM Useless note to English users: to test the "English version" on Italian systems
REM (for debugging purposes), comment out the line "If not ErrorLevel 1...",
REM and uncomment the line "REM If ErrorLevel 1..."

reg query "hklm\system\controlset001\control\nls\language" /v Installlanguage | Find "0410" > Nul
If not ErrorLevel 1 (set LINGUA=ITA) else (set LINGUA=ENG)
rem If ErrorLevel 1 (set LINGUA=ITA) else (set LINGUA=ENG)

REM ITA
REM prova implementazione (ancora acerba) di selezione SO - pare funzionare
REM mancano ancora tutti gli IF in base al SO (ma non e' detto che servano!)

REM ENG
REM very early implementation to detect OS - it seems to be working
REM all the OS-based IFs are still missing (but it's not sure I realy need them!)

Ver | Find "5.1" > Nul
If not ErrorLevel 1 set OPSIST=XP

Ver | Find "6.0" > Nul
If not ErrorLevel 1 set OPSIST=Vista

Ver | Find "6.1" > Nul
If not ErrorLevel 1 set OPSIST=Win7

REM ITA
REM se VARDEBUG e' impostata a 1, entra nella prossima sezione e visualizza i dati di debug

REM ENG
REM if VARDEBUG is set at 1, next section is entered and some debug data is displayed

set VARDEBUG=0
If %VARDEBUG%==1 (goto SHOWDEBUG) else (goto CONTROLLI)

:SHOWDEBUG
IF %LINGUA%==ITA (goto ITDEBUG) else (goto UKDEBUG)

:ITDEBUG
echo Parliamo italiano
echo.
echo Questa e' la schermata di debug
echo Se premi un tasto il programma continuera' normalmente
echo.
if %OPSIST%==XP (echo Sistema Operativo = XP) else (if %OPSIST%==Win7 (echo Sistema Operativo = Win7) else (echo Sistema Operativo = Vista))
echo.
IF EXIST orbiter.exe echo OK - Orbiter rilevato
IF NOT EXIST orbiter.exe echo ATTENZIONE! Orbiter NON rilevato!!
IF EXIST Meshes\AMSO\angel.msh echo OK - AMSO rilevato
IF NOT EXIST Meshes\AMSO\angel.msh echo ATTENZIONE! AMSO NON rilevato!!
echo.
if %OPSIST%==XP (echo seleziono i comandi per XP) else (if %OPSIST%==Win7 (echo seleziono i comandi per Win7) else (echo seleziono i comandi per Vista))
pause
goto CONTROLLI

:UKDEBUG
echo Let's speak English
echo.
echo This is the debug screen
echo Press a key to run the rest of the program
echo.
if %OPSIST%==XP (echo Operating System = XP) else (if %OPSIST%==Win7 (echo Operating System = Win7) else (echo Operating System = Vista))IF EXIST orbiter.exe echo OK - Orbiter detected
echo.
IF NOT EXIST orbiter.exe echo WARNING! Orbiter NOT detected!!
IF EXIST Meshes\AMSO\angel.msh echo OK - AMSO detected
IF NOT EXIST Meshes\AMSO\angel.msh echo WARNING! AMSO NOT detected!!
echo.
if %OPSIST%==XP (echo XP commands selected) else (if %OPSIST%==Win7 (echo Win7 commands selected) else (echo Vista commands selected))
pause

:CONTROLLI
rem ITA
rem se non trova il file "orbiter.exe" nella cartella corrente, esce senza fare nulla
rem se non trova il file "Meshes\AMSO\angel.msh" nella cartella indicata, segnala l'assenza di AMSO ed esce
rem ENG
rem if file "orbiter.exe" is not found in current folder, it quits without doing anything
rem if file "Meshes\AMSO\angel.msh" is not found in given folder, it warns about missing AMSO and quits

IF NOT EXIST orbiter.exe goto CKNOORB
IF NOT EXIST Meshes\AMSO\angel.msh goto CKNOAMSO

:INIZIO
IF %LINGUA%==ITA (goto ITSTART) else (goto UKSTART)

:ITSTART
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - per rimuovere AMSO dal pc      
echo                                                               
echo                      1. CANCELLA AMSO                         
echo                                                               
echo                      2. Esci SENZA cancellare                 
echo                                                               
echo            
goto CHOOSE

:UKSTART
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - to remove AMSO from your pc    
echo                                                               
echo                      1. REMOVE AMSO                           
echo                                                               
echo                      2. Quits WITHOUT removing                
echo                                                               
echo            

rem ITA
rem inizializza la variabile d'ambiente "choice" e l'utente digita la scelta
rem ENG
rem initializes the environment variable "choice" and user inputs choice

:CHOOSE
set choice=
IF %LINGUA%==ITA (set /p choice=Digita la tua scelta: ) else (set /p choice=Input your choice: )

rem ITA
rem rimuove tutti i caratteri dalla variabile, tranne il primo. Se la scelta non e' valida, torna all'inizio
rem ENG
rem strips all but the first char from the content of var choice. If input choice is invalid, goes back to start
IF NOT '%choice%'=='' SET choice=%choice:~0,1%
IF '%choice%'=='1' GOTO CHOICE1
IF '%choice%'=='2' GOTO CHOICE2
goto INIZIO

rem ITA
rem esegue la scelta dell'utente
rem ENG
rem executes what user chooses
:CHOICE1
IF %LINGUA%==ITA (goto ITZAPAMSO) else (goto UKZAPAMSO)

:CHOICE2
IF %LINGUA%==ITA (goto ITNODEL) else (goto UKNODEL)

:ITZAPAMSO
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - per rimuovere AMSO dal pc      
echo                                                               
echo                                                               
echo                                                               
echo                      OK - sto rimuovendo i file...            
echo                                                               
echo            
goto DEL1

:UKZAPAMSO
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - to remove AMSO from your pc    
echo                                                               
echo                                                               
echo                                                               
echo                         OK - removing files...                
echo                                                               
echo            

:DEL1
IF NOT EXIST Config\AMSO\ goto DEL2
echo Config\AMSO\
rd Config\AMSO /s /q

:DEL2
IF NOT EXIST Config\vessels\AMSO\ goto DEL3
echo Config\vessels\AMSO\
rd Config\vessels\AMSO /s /q

:DEL3
IF NOT EXIST Config\Earth\base\AMSO\ goto DEL4
echo Config\Earth\base\AMSO\
rd Config\Earth\base\AMSO /s /q

:DEL4
IF NOT EXIST Config\Moon\base\AMSO\ goto DEL5
echo Config\Moon\base\AMSO\
rd Config\Moon\base\AMSO /s /q

:DEL5
IF NOT EXIST Doc\AMSO\ goto DEL6
echo Doc\AMSO\
rd Doc\AMSO /s /q

:DEL6
IF NOT EXIST Meshes\AMSO\ goto DEL7
echo Meshes\AMSO\
rd Meshes\AMSO /s /q

:DEL7
IF NOT EXIST Modules\AMSO\ goto DEL8
echo Modules\AMSO\
rd Modules\AMSO /s /q

:DEL8
IF NOT EXIST Scenarios\AMSO\ goto DEL9
echo Scenarios\AMSO\
rd Scenarios\AMSO /s /q

:DEL9
IF NOT EXIST Sound\AMSO\ goto DEL10
echo Sound\AMSO\
rd Sound\AMSO /s /q

:DEL10
IF NOT EXIST Textures\AMSO\ goto DEL11
echo Textures\AMSO\
rd Textures\AMSO /s /q

:DEL11
IF NOT EXIST Textures\Moon_*.dds goto DELETED
del Textures\Moon_0_E0043_N0028.dds /q
del Textures\Moon_0_W0029_N0013.dds /q
del Textures\Moon_0_W0029_N0014.dds /q
del Textures\Moon_0_W0079_N0020.dds /q
del Textures\Moon_0_W0080_N0020.dds /q
del Textures\Moon_1_E0010_N0074.dds /q
del Textures\Moon_1_E0044_S0026.dds /q
del Textures\Moon_2_W0100_S0021.dds /q
del Textures\Moon_3_W0267_S0035.dds /q
del Textures\Moon_4_E0533_N0015.dds /q
goto CKDEL

:CKNOORB
IF %LINGUA%==ITA (goto ITNOORB) else (goto UKNOORB)

:ITNOORB
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - per rimuovere AMSO dal pc      
echo                                                               
echo                      NON TROVO IL FILE ORBITER.EXE!           
echo                                                               
echo               Lancia AMSO_zapper dalla cartella di Orbiter    
echo                                                               
echo            
goto END

:UKNOORB
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - to remove AMSO from your pc    
echo                                                               
echo                      I DON'T FIND ORBITER.EXE FILE!           
echo                                                               
echo             AMSO_zapper must be run from Orbiter main folder  
echo                                                               
echo            
goto END

:ITNODEL
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - per rimuovere AMSO dal pc      
echo                                                               
echo                                                               
echo                                                               
echo                         NON ho cancellato nulla!              
echo                                                               
echo            
goto END

:UKNODEL
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - to remove AMSO from your pc    
echo                                                               
echo                                                               
echo                                                               
echo                       I did NOT remove a single bit!          
echo                                                               
echo            
goto END

:CKNOAMSO
IF %LINGUA%==ITA (goto ITNOAMSO) else (goto UKNOAMSO)

:ITNOAMSO
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - per rimuovere AMSO dal pc      
echo                                                               
echo                                                               
echo                                                               
echo                       AMSO non rilevato sul tuo pc            
echo                                                               
echo            
goto END

:UKNOAMSO
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - to remove AMSO from your pc    
echo                                                               
echo                                                               
echo                                                               
echo                      AMSO was not detected on this pc         
echo                                                               
echo            
goto END

:CKDEL
IF %LINGUA%==ITA (goto ITDELOK) else (goto UKDELOK)

:ITDELOK
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - per rimuovere AMSO dal pc      
echo                                                               
echo                                                               
echo                                                               
echo                  OK - AMSO e' stato rimosso dal computer      
echo                                                               
echo            
goto END

:UKDELOK
cls
echo.
echo            Ŀ
echo                                                               
echo                  AMSO_zapper - to remove AMSO from your pc    
echo                                                               
echo                                                               
echo                                                               
echo                      OK - AMSO succesfully removed            
echo                                                               
echo            

:END
ENDLOCAL
if %OPSIST%==XP (ping -n 5 127.0.0.1 >NUL) else (if %OPSIST%==Win7 (sleep 5) else (sleep 5))